Magister API

Site and brand

A site's page experience for real visitors

POSThttps://api.magistermarketing.com/v1/web/page-speed

How the page loads for real visitors, as a page-experience score with ratings and fixes.

Cost
Free
Runs
At once
Key
Any key
Holds up to
Nothing

Parameters

NameTypeAbout
urlrequiredstring · bodyThe site's address, such as https://example.com.
at most 2000 characters

Request

curl -X POST https://api.magistermarketing.com/v1/web/page-speed \
  -H "Authorization: Bearer $MAGISTER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url":"https://tally.so"}'

Response

200· free
{
  "data": {
    "origin": "https://tally.so",
    "score": 99,
    "rating": "needs_improvement",
    "devices": {
      "phone": {
        "score": 98,
        "rating": "needs_improvement",
        "metrics": {
          "largest_contentful_paint": {
            "p75": 2020,
            "rating": "good"
          },
          "interaction_to_next_paint": {
            "p75": 229,
            "rating": "needs_improvement"
          },
          "cumulative_layout_shift": {
            "p75": 0,
            "rating": "good"
          }
        }
      },
      "desktop": {
        "score": 100,
        "rating": "good",
        "metrics": {
          "largest_contentful_paint": {
            "p75": 1263,
            "rating": "good"
          },
          "interaction_to_next_paint": {
            "p75": 77,
            "rating": "good"
          },
          "cumulative_layout_shift": {
            "p75": 0.01,
            "rating": "good"
          }
        }
      }
    },
    "fixes": [
      {
        "metric": "interaction_to_next_paint",
        "rating": "needs_improvement",
        "fix": "The page is slow to respond to taps and clicks: break up long JavaScript tasks, defer third-party scripts and load chat or tracking widgets after the page is usable."
      }
    ],
    "field_data": true,
    "note": null,
    "source": "Chrome UX Report (CrUX), Google, CC BY 4.0"
  },
  "credits_charged": 0,
  "request_id": "673502b3-11ee-41a1-a4e3-4b6f9e4e18f8"
}

A real call from a test organization, 2026-11-11.